apiVersion: apps/v1
kind: Deployment
metadata:
  name: strimzi-cluster-operator
  labels:
    app: strimzi
spec:
  replicas: 1
  selector:
    matchLabels:
      name: strimzi-cluster-operator
  template:
    metadata:
      labels:
        name: strimzi-cluster-operator
        strimzi.io/kind: cluster-operator
    spec:
      serviceAccountName: strimzi-cluster-operator
      containers:
      - name: strimzi-cluster-operator
        image: docker-registry.default.svc:5000/amq-streams/amq-streams-rhel7-operator:1.5.0
        ports:
        - containerPort: 8080
          name: http
        args:
        - /opt/strimzi/bin/cluster_operator_run.sh
        env:
        - name: STRIMZI_NAMESPACE
          valueFrom:
            fieldRef:
              fieldPath: metadata.namespace
        - name: STRIMZI_FULL_RECONCILIATION_INTERVAL_MS
          value: "120000"
        - name: STRIMZI_OPERATION_TIMEOUT_MS
          value: "300000"
        - name: STRIMZI_DEFAULT_TLS_SIDECAR_ENTITY_OPERATOR_IMAGE
          value: docker-registry.default.svc:5000/amq-streams/amq-streams-kafka-25-rhel7:1.5.0
        - name: STRIMZI_DEFAULT_TLS_SIDECAR_KAFKA_IMAGE
          value: docker-registry.default.svc:5000/amq-streams/amq-streams-kafka-25-rhel7:1.5.0
        - name: STRIMZI_DEFAULT_KAFKA_EXPORTER_IMAGE
          value: docker-registry.default.svc:5000/amq-streams/amq-streams-kafka-25-rhel7:1.5.0
        - name: STRIMZI_DEFAULT_CRUISE_CONTROL_IMAGE
          value: docker-registry.default.svc:5000/amq-streams/amq-streams-kafka-25-rhel7:1.5.0
        - name: STRIMZI_DEFAULT_TLS_SIDECAR_CRUISE_CONTROL_IMAGE
          value: docker-registry.default.svc:5000/amq-streams/amq-streams-kafka-25-rhel7:1.5.0
        - name: STRIMZI_KAFKA_IMAGES
          value: |
            2.4.0=docker-registry.default.svc:5000/amq-streams/amq-streams-kafka-24-rhel7:1.5.0
            2.5.0=docker-registry.default.svc:5000/amq-streams/amq-streams-kafka-25-rhel7:1.5.0
        - name: STRIMZI_KAFKA_CONNECT_IMAGES
          value: |
            2.4.0=docker-registry.default.svc:5000/amq-streams/amq-streams-kafka-24-rhel7:1.5.0
            2.5.0=docker-registry.default.svc:5000/amq-streams/amq-streams-kafka-25-rhel7:1.5.0
        - name: STRIMZI_KAFKA_CONNECT_S2I_IMAGES
          value: |
            2.4.0=docker-registry.default.svc:5000/amq-streams/amq-streams-kafka-24-rhel7:1.5.0
            2.5.0=docker-registry.default.svc:5000/amq-streams/amq-streams-kafka-25-rhel7:1.5.0
        - name: STRIMZI_KAFKA_MIRROR_MAKER_IMAGES
          value: |
            2.4.0=docker-registry.default.svc:5000/amq-streams/amq-streams-kafka-24-rhel7:1.5.0
            2.5.0=docker-registry.default.svc:5000/amq-streams/amq-streams-kafka-25-rhel7:1.5.0
        - name: STRIMZI_KAFKA_MIRROR_MAKER_2_IMAGES
          value: |
            2.4.0=docker-registry.default.svc:5000/amq-streams/amq-streams-kafka-24-rhel7:1.5.0
            2.5.0=docker-registry.default.svc:5000/amq-streams/amq-streams-kafka-25-rhel7:1.5.0
        - name: STRIMZI_DEFAULT_TOPIC_OPERATOR_IMAGE
          value: docker-registry.default.svc:5000/amq-streams/amq-streams-rhel7-operator:1.5.0
        - name: STRIMZI_DEFAULT_USER_OPERATOR_IMAGE
          value: docker-registry.default.svc:5000/amq-streams/amq-streams-rhel7-operator:1.5.0
        - name: STRIMZI_DEFAULT_KAFKA_INIT_IMAGE
          value: docker-registry.default.svc:5000/amq-streams/amq-streams-rhel7-operator:1.5.0
        - name: STRIMZI_DEFAULT_KAFKA_BRIDGE_IMAGE
          value: docker-registry.default.svc:5000/amq-streams/amq-streams-bridge-rhel7:1.5.0
        - name: STRIMZI_CUSTOM_KAFKA_BRIDGE_SERVICE_LABELS
          value: |
            discovery.3scale.net=true
        - name: STRIMZI_CUSTOM_KAFKA_BRIDGE_SERVICE_ANNOTATIONS
          value: |
            discovery.3scale.net/scheme=http
            discovery.3scale.net/port=8080
            discovery.3scale.net/path=/
            discovery.3scale.net/description-path=/openapi
        - name: STRIMZI_LOG_LEVEL
          value: "INFO"
        livenessProbe:
          httpGet:
            path: /healthy
            port: http
          initialDelaySeconds: 10
          periodSeconds: 30
        readinessProbe:
          httpGet:
            path: /ready
            port: http
          initialDelaySeconds: 10
          periodSeconds: 30
        resources:
          limits:
            cpu: 1000m
            memory: 384Mi
          requests:
            cpu: 200m
            memory: 384Mi
  strategy:
    type: Recreate
